Transaction Check Error al instalar Percona XtraDB Cluster

La instalación de Percona XtraDB Cluster es muy sencilla y en entornos Red Hat y derivados se puede hacer a través del repositorio de Percona:

# rpm -Uhv http://www.percona.com/downloads/percona-release/percona-release-0.0-1.x86_64.rpm

Una vez instalado el repositorio simplemente instalamos los paquetes correspondientes:

# yum install Percona-XtraDB-Cluster-server Percona-XtraDB-Cluster-client

En mi caso tras ejecutar la instalación de paquetes vía YUM me encontré con un problema al hacer el Transaction Check:

Resolving Dependencies
--> Running transaction check
---> Package Percona-XtraDB-Cluster-client.x86_64 1:5.5.31-23.7.5.438.rhel6 will be installed
--> Processing Dependency: Percona-XtraDB-Cluster-shared for package: 1:Percona-XtraDB-Cluster-client-5.5.31-23.7.5.438.rhel6.x86_64
---> Package Percona-XtraDB-Cluster-server.x86_64 1:5.5.31-23.7.5.438.rhel6 will be installed
--> Processing Dependency: libaio.so.1(LIBAIO_0.4)(64bit) for package: 1:Percona-XtraDB-Cluster-server-5.5.31-23.7.5.438.rhel6.x86_64
--> Processing Dependency: rsync for package: 1:Percona-XtraDB-Cluster-server-5.5.31-23.7.5.438.rhel6.x86_64
--> Processing Dependency: Percona-XtraDB-Cluster-galera for package: 1:Percona-XtraDB-Cluster-server-5.5.31-23.7.5.438.rhel6.x86_64
--> Processing Dependency: nc for package: 1:Percona-XtraDB-Cluster-server-5.5.31-23.7.5.438.rhel6.x86_64
--> Processing Dependency: libaio.so.1(LIBAIO_0.1)(64bit) for package: 1:Percona-XtraDB-Cluster-server-5.5.31-23.7.5.438.rhel6.x86_64
--> Processing Dependency: libaio.so.1()(64bit) for package: 1:Percona-XtraDB-Cluster-server-5.5.31-23.7.5.438.rhel6.x86_64
---> Package percona-xtrabackup.x86_64 0:2.1.3-608.rhel6 will be installed
--> Processing Dependency: perl(DBD::mysql) for package: percona-xtrabackup-2.1.3-608.rhel6.x86_64
--> Running transaction check
---> Package Percona-XtraDB-Cluster-galera.x86_64 0:2.6-1.152.rhel6 will be installed
---> Package Percona-XtraDB-Cluster-shared.x86_64 1:5.5.31-23.7.5.438.rhel6 will be obsoleting
---> Package libaio.x86_64 0:0.3.107-10.el6 will be installed
---> Package mysql-libs.x86_64 0:5.1.66-2.el6_3 will be obsoleted
--> Processing Dependency: libmysqlclient.so.16()(64bit) for package: 2:postfix-2.6.6-2.2.el6_1.x86_64
--> Processing Dependency: libmysqlclient.so.16()(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: 2:postfix-2.6.6-2.2.el6_1.x86_64
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
---> Package nc.x86_64 0:1.84-22.el6 will be installed
---> Package perl-DBD-MySQL.x86_64 0:4.013-3.el6 will be installed
---> Package rsync.x86_64 0:3.0.6-5.el6_0.1 will be installed
--> Running transaction check
---> Package Percona-Server-shared-56.x86_64 0:5.6.12-rc60.4.393.rhel6 will be obsoleting
---> Package Percona-Server-shared-compat.x86_64 0:5.5.32-rel31.0.549.rhel6 will be obsoleting
--> Finished Dependency Resolution

Dependencies Resolved
...
...

Transaction Check Error:
  file /usr/lib64/libmysqlclient.so.18.0.0 conflicts between attempted installs of Percona-XtraDB-Cluster-shared-1:5.5.31-23.7.5.438.rhel6.x86_64 and Percona-Server-shared-56-5.6.12-rc60.4.393.rhel6.x86_64
  file /usr/lib64/mysql/plugin/libfnv1a_udf.a conflicts between attempted installs of Percona-XtraDB-Cluster-shared-1:5.5.31-23.7.5.438.rhel6.x86_64 and Percona-Server-shared-56-5.6.12-rc60.4.393.rhel6.x86_64
  file /usr/lib64/mysql/plugin/libfnv_udf.a conflicts between attempted installs of Percona-XtraDB-Cluster-shared-1:5.5.31-23.7.5.438.rhel6.x86_64 and Percona-Server-shared-56-5.6.12-rc60.4.393.rhel6.x86_64
  file /usr/lib64/mysql/plugin/libmurmur_udf.a conflicts between attempted installs of Percona-XtraDB-Cluster-shared-1:5.5.31-23.7.5.438.rhel6.x86_64 and Percona-Server-shared-56-5.6.12-rc60.4.393.rhel6.x86_64

Error Summary
-------------

Existe un conflicto entre la librería MySQL Client instalada en el sistema y la instalación de los paquetes de Percona. La solución es fácil, antes de realizar la instalación de los paquetes de Percona mencionados anteriormente instalamos otro paquete (Percona-Server-shared-compat) que como podéis ver hace que el anterior quede obsoleto y deje de dar problemas:

# yum install Percona-Server-shared-compat

Loaded plugins: security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package Percona-Server-shared-compat.x86_64 0:5.5.32-rel31.0.549.rhel6 will be obsoleting
---> Package mysql-libs.x86_64 0:5.1.66-2.el6_3 will be obsoleted
--> Finished Dependency Resolution

Y ahora ya instalamos los paquetes de Percona XtraDB Cluster:

# yum install Percona-XtraDB-Cluster-server Percona-XtraDB-Cluster-client

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *